<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Fantastic Four: Marvels Snapshot (2020)</Series>
  <Number>001</Number>
  <Web>https://www.comixology.com/Fantastic-Four-Marvels-Snapshot-2020-1/digital-comic/829022</Web>
  <Summary>Our tour through Marvel history continues, showcasing Marvel’s greatest characters from the Golden Age to today, all through the eyes of ordinary people! This time, writers Evan Dorkin &amp; Sarah Dyer (Beasts of Burden, Space Ghost: Coast to Coast, Superman: The Animated Series) and artist Benjamin Dewey (The Autumnlands, Beasts of Burden) tell the tale of the ten-year high-school reunion of the Fantastic Four’s own Human Torch. His hometown of Glenville, Long Island is going wild, and we see it all through the eyes of the Torch’s ex-girlfriend Dorrie Evans and reporter Marcia Hardesty - the preparations, the Torch’s long history in town, the festivities and more. But there’s a strange distance between Johnny Storm and his old schoolmates, one Dorrie knows all too well and Marcia is determined to get to the bottom of. Featuring ex-villains, strange souvenirs, a weenie roast on the beach and, of course, the hulking Inhuman hound known as Lockjaw! Don’t miss the festivities!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB829022], [RELDATE:2020-03-25]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>31</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
